Subject: Re: [PATCH] drm: xlnx: remove defined but not used 'scaling_factors_666'

From: Hyun Kwon <[email-masked]>
Date: Fri, 11 Sep 2020 09:27:08 -0700

Hi Daniel,

On Fri, Sep 11, 2020 at 01:15:19AM -0700, Daniel Vetter wrote:
> On Thu, Sep 10, 2020 at 11:14:18AM -0700, Hyun Kwon wrote:
> > Hi Jason,
> > 
> > On Thu, Sep 10, 2020 at 07:06:30AM -0700, Jason Yan wrote:
> > > This addresses the following gcc warning with "make W=1":
> > > 
> > > drivers/gpu/drm/xlnx/zynqmp_disp.c:245:18: warning:
> > > ‘scaling_factors_666’ defined but not used [-Wunused-const-variable=]
> > >   245 | static const u32 scaling_factors_666[] = {
> > >       |                  ^~~~~~~~~~~~~~~~~~~
> > > 
> > > Reported-by: Hulk Robot <[email-masked]>
> > > Signed-off-by: Jason Yan <[email-masked]>
> > 
> > Reviewed-by: Hyun Kwon <[email-masked]>
> 
> I think you're the maintainer, so please also push patches to
> drm-misc-next. Otherwise they'll just get lost, or at least it's very
> confusing when a maintainer reviews a patch but there's no indication what
> will happen with the patch.

Right. I wanted to give it some time before pushing. I'll clearly state going
forward.

Thanks,
-hyun

> -Daniel
> 
> > 
> > Thanks!
> > 
> > -hyun
> > 
> > > ---
> > >  drivers/gpu/drm/xlnx/zynqmp_disp.c | 6 ------
> > >  1 file changed, 6 deletions(-)
> > > 
> > > diff --git a/drivers/gpu/drm/xlnx/zynqmp_disp.c b/drivers/gpu/drm/xlnx/zynqmp_disp.c
> > > index a455cfc1bee5..98bd48f13fd1 100644
> > > --- a/drivers/gpu/drm/xlnx/zynqmp_disp.c
> > > +++ b/drivers/gpu/drm/xlnx/zynqmp_disp.c
> > > @@ -242,12 +242,6 @@ static const u32 scaling_factors_565[] = {
> > >  	ZYNQMP_DISP_AV_BUF_5BIT_SF,
> > >  };
> > >  
> > > -static const u32 scaling_factors_666[] = {
> > > -	ZYNQMP_DISP_AV_BUF_6BIT_SF,
> > > -	ZYNQMP_DISP_AV_BUF_6BIT_SF,
> > > -	ZYNQMP_DISP_AV_BUF_6BIT_SF,
> > > -};
> > > -
> > >  static const u32 scaling_factors_888[] = {
> > >  	ZYNQMP_DISP_AV_BUF_8BIT_SF,
> > >  	ZYNQMP_DISP_AV_BUF_8BIT_SF,
> > > -- 
> > > 2.25.4
> > > 
> 
> -- 
> Daniel Vetter
> Software Engineer, Intel Corporation
> http://blog.ffwll.ch

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel